Bug 466350 - audacious cannot play audio, only produces buffer underruns
audacious cannot play audio, only produces buffer underruns
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: audacious-plugins (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 16:17 EDT by Hans Ulrich Niedermann
Modified: 2009-06-30 12:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 12:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans Ulrich Niedermann 2008-10-09 16:17:04 EDT
Description of problem:

  $ paplay
  $ audacious /usr/share/sounds/login.wav
  ERROR: neon: neon.c:970 (neon_aud_vfs_fread_impl): <0x8fba0e8> Buffer underrun, trying rebuffering

  This happens regardless of whether audacious has the ALSA or
  PulseAudio plugin configured for output.

Version-Release number of selected component (if applicable):

  pulseaudio-0.9.13-1.fc10.i386
  alsa-lib-1.0.18-6.rc3.fc10.i386
  audacious-1.5.1-3.fc10.i386

How reproducible:

  Every time.

Steps to Reproduce:
1. $ audacious /usr/share/sounds/login.wav
  
Actual results:

ERROR: neon: neon.c:970 (neon_aud_vfs_fread_impl): <0x8fba0e8> Buffer underrun, trying rebuffering

Expected results:

Sound.

Additional info:
Comment 1 Bug Zapper 2008-11-25 22:43:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jérôme Benoit 2008-12-02 21:06:48 EST
Same problem here after an F10 upgrade but with a slightly different output message. 

strace ouput : 

...
 
read(4, "\34P\333\0\3\0\200\0060\1\0\0004S\25\0\0\363\373\277\332\250\10\10\310\363\373\277\3\0\200\6\1"..., 4096) = 192
read(4, 0x8bfb834, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
brk(0x8db0000)                          = 0x8db0000
open("/home/fraggle/.config/audacious/eq.preset", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/usr/share/audacious/eq.preset", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/home/fraggle/.config/audacious/eq.auto_preset", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/usr/share/audacious/eq.auto_preset", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
uname({sys="Linux", node="morphee.grenouille.com", ...}) = 0
select(5, [4], [4], NULL, NULL)         = 1 (out [4])
writev(4, [{"\22\0\n\0\3\0\200\6\205\1\0\0\205\1\0\0\10MEN\20\0\0\0l\0\5\0\0\0\0\0\0"..., 3476}, {"\22\0\10\tL\0\200\6\32\1\0\0\6\0\0\0 \0\310\0\2\t\0\0000\0\0\0000\0\0\0\0"..., 9248}], 2) = 12724
select(5, [4], [4], NULL, NULL)         = 1 (out [4])
writev(4, [{"\24\0\6\0L\0\200\6.\1\0\0\0\0\0\0\0\0\0\0\5\0\0\0"..., 24}], 1) = 24
select(5, [4], [], NULL, NULL)          = 1 (in [4])
read(4, "\34P\341\0\3\0\200\6\205\1\0\0eS\25\0\0\363\373\277\332\250\10\10\310\363\373\277\3\0\200\6\34"..., 4096) = 576
read(4, 0x8bfb834, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
select(5, [4], [4], NULL, NULL)         = 1 (out [4])
writev(4, [{"\22\0\v\0L\0\200\6.\1\0\0.\1\0\0 \0\0\0\5\0\0\0\2\0\0\0\0\0\0\0\0"..., 336}, {"\22\0\10\tL\0\200\6\32\1\0\0\6\0\0\0 \0\0\0\2\t\0\0000\0\0\0000\0\0\0\217"..., 9248}], 2) = 9584
--- SIGILL (Illegal instruction) @ 0 (0) ---
+++ killed by SIGILL +++
Comment 3 Michael Schwendt 2008-12-03 09:33:34 EST
Confirmed.

Jérôme, that is a different problem: bug 459318
Comment 4 Michael Schwendt 2008-12-03 09:35:58 EST
It's likely PulseAudio that causes these problems. At least Rhythmbox is affected, too.
Comment 5 yakma 2009-02-01 01:02:37 EST
I had a similar problem that I was able to resolve by:

1) quitting all audacious processes 
2) ensuring that I had all the 'extra' audacious plugins installed
    (rpmfusion enables 'yum install audacious-plugins-freeworld-*')
3) removing the ~/.config/audacious directory
4) restarting audacious

Worked for me.  YMMV.
Comment 6 Michael Schwendt 2009-06-30 12:15:09 EDT
Let me know whether there are still playback problems with:
https://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-9.fc10

> ERROR: neon: neon.c:970 (neon_aud_vfs_fread_impl):
> <0x8fba0e8> Buffer underrun, trying rebuffering

That needs another test-case as "audacious /usr/share/sounds/login.wav" is unrelated to neon transport.

Note You need to log in before you can comment on or make changes to this bug.